Bug 1234552 - Package should not ship a separate emacs sub-package
Summary: Package should not ship a separate emacs sub-package
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: git
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Stodulka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: EmacsPackagingViolations
TreeView+ depends on / blocked
 
Reported: 2015-06-22 17:52 UTC by Jonathan Underwood
Modified: 2015-07-09 07:59 UTC (History)
5 users (show)

Fixed In Version: git-2.4.5-2.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-09 07:24:57 UTC


Attachments (Terms of Use)
Spec file patch to fix compliance with Emacs add-on packaging guidelines (2.06 KB, patch)
2015-07-07 17:42 UTC, Jonathan Underwood
no flags Details | Diff
Updated patch, slightly more considered and slightly more tested (2.62 KB, patch)
2015-07-08 14:32 UTC, Jonathan Underwood
no flags Details | Diff
modified patch (2.63 KB, patch)
2015-07-08 17:30 UTC, Petr Stodulka
no flags Details | Diff

Description Jonathan Underwood 2015-06-22 17:52:57 UTC
The Emacs add-on packaging guidelines no longer stipulate that packages which also bundle support for Emacs should split out those Emacs files into separate sub-packages. This package should instead ship those files with the main package which should also Require emacs-filesystem. See https://fedoraproject.org/wiki/Packaging:Emacs for more detail.

Comment 1 Jonathan Underwood 2015-07-07 17:42:10 UTC
Created attachment 1049509 [details]
Spec file patch to fix compliance with Emacs add-on packaging guidelines

Spec file patch to fix compliance with Emacs add-on packaging guidelines (untested).

Comment 2 Jonathan Underwood 2015-07-08 14:32:23 UTC
Created attachment 1049889 [details]
Updated patch, slightly more considered and slightly more tested

Comment 3 Petr Stodulka 2015-07-08 17:30:13 UTC
Created attachment 1049927 [details]
modified patch

Ho Jonathan,
thanks for patch. I did some modification, please check it if you are ok with it.

Comment 4 Jonathan Underwood 2015-07-08 17:36:34 UTC
Looks ok to me, though I can't immediately see what changed :)

Comment 5 Petr Stodulka 2015-07-08 17:38:07 UTC
- files from emacs* packages are moved to git instead of git-core
- for obsoletes/provides used only version - without release

Comment 6 Jonathan Underwood 2015-07-08 17:51:46 UTC
Ah, right. Gottit. Looks good!

Comment 7 Jonathan Underwood 2015-07-09 07:49:31 UTC
Thanks!

Comment 8 Petr Stodulka 2015-07-09 07:59:33 UTC
Thank you too :-) Good job.


Note You need to log in before you can comment on or make changes to this bug.